export declare class DeferredExecutor {
    private _ready;
    private queue;
    invokeWhenReady<T>(f: () => T, theThis?: any, args?: any[]): Promise<T>;
    invokeOnceWhenReady<T>(f: () => T, theThis?: any, args?: any[]): Promise<T>;
    ready: boolean;
}
